package com.yuchen.saas.park.api.enums.property;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @Author: caiwq
 * @Date: 2023/11/29 15:18
 * @Description: 创建方式枚举类型
 */
@Getter
@AllArgsConstructor
public enum CreateTypeEnum {

    //创建方式(1:后台添加 2:自动同步)
    /**
     * 后台添加
     */
    BACK_ADD(1, "后台添加"),
    /**
     * 自动同步
     */
    AUTO_SYNC(2, "自动同步");

    private final int value;
    private final String desc;

    public static String getDescByCode(Integer value) {
        if (Objects.isNull(value)) {
            return "";
        }
        CreateTypeEnum[] enumArray = CreateTypeEnum.values();
        for (CreateTypeEnum e : enumArray) {
            if (e.getValue() == value) {
                return e.getDesc();
            }
        }
        return "";
    }

}
